# Snapshot report for `tests/GraphQLClientCreatorTest.ts`

The actual snapshot is saved in `GraphQLClientCreatorTest.ts.snap`.

Generated by [AVA](https://ava.li).

## Test plugin engine gql

> Snapshot 1

    {
      fragments: [
        {
          implementation: `fragment NoteFields on Note {␊
             id␊
             title␊
             description␊
          ␊
          } `,
          name: 'Note',
        },
        {
          implementation: `fragment NoteExpandedField on Note {␊
             id␊
             title␊
             description␊
             comment {␊
                id␊
                title␊
                description␊
             }␊
          } `,
          name: 'NoteExpanded',
        },
        {
          implementation: `fragment CommentFields on Comment {␊
             id␊
             title␊
             description␊
          ␊
          } `,
          name: 'Comment',
        },
        {
          implementation: `fragment CommentExpandedField on Comment {␊
             id␊
             title␊
             description␊
             noteComment {␊
                id␊
                title␊
                description␊
             }␊
          } `,
          name: 'CommentExpanded',
        },
      ],
      mutations: [
        {
          implementation: `mutation createNote($input: NoteInput!) {␊
            createNote(input: $input) {␊
                ...NoteFields␊
            }␊
          }␊
          `,
          name: 'createNote',
        },
        {
          implementation: `mutation updateNote($input: NoteInput!) {␊
            updateNote(input: $input) {␊
                ...NoteFields␊
            }␊
          }␊
          `,
          name: 'updateNote',
        },
        {
          implementation: `mutation deleteNote($input: NoteInput!) {␊
            deleteNote(input: $input) {␊
                ...NoteFields␊
            }␊
          }␊
          `,
          name: 'deleteNote',
        },
        {
          implementation: `mutation createComment($input: CommentInput!) {␊
            createComment(input: $input) {␊
                ...CommentFields␊
            }␊
          }␊
          `,
          name: 'createComment',
        },
        {
          implementation: `mutation updateComment($input: CommentInput!) {␊
            updateComment(input: $input) {␊
                ...CommentFields␊
            }␊
          }␊
          `,
          name: 'updateComment',
        },
        {
          implementation: `mutation deleteComment($input: CommentInput!) {␊
            deleteComment(input: $input) {␊
                ...CommentFields␊
            }␊
          }␊
          `,
          name: 'deleteComment',
        },
      ],
      queries: [
        {
          implementation: `query findNotes($fields: NoteFields!) {␊
              findNotes(fields: $fields) {␊
                ...NoteExpandedFields␊
              }␊
            }`,
          name: 'findNotes',
        },
        {
          implementation: `query findAllNotes {␊
              findAllNotes {␊
                ...NoteExpandedFields␊
              }␊
            }`,
          name: 'findAllNotes',
        },
        {
          implementation: `query findComments($fields: CommentFields!) {␊
              findComments(fields: $fields) {␊
                ...CommentExpandedFields␊
              }␊
            }`,
          name: 'findComments',
        },
        {
          implementation: `query findAllComments {␊
              findAllComments {␊
                ...CommentExpandedFields␊
              }␊
            }`,
          name: 'findAllComments',
        },
      ],
      subscriptions: [
        {
          implementation: `subscription newNote {␊
            newNote {␊
                ...NoteFields␊
            }␊
          } `,
          name: 'newNote',
        },
        {
          implementation: `subscription updatedNote {␊
            updatedNote {␊
                ...NoteFields␊
            }␊
          } `,
          name: 'updatedNote',
        },
        {
          implementation: `subscription deletedNote {␊
            deletedNote {␊
                ...NoteFields␊
            }␊
          } `,
          name: 'deletedNote',
        },
        {
          implementation: `subscription newComment {␊
            newComment {␊
                ...CommentFields␊
            }␊
          } `,
          name: 'newComment',
        },
        {
          implementation: `subscription updatedComment {␊
            updatedComment {␊
                ...CommentFields␊
            }␊
          } `,
          name: 'updatedComment',
        },
        {
          implementation: `subscription deletedComment {␊
            deletedComment {␊
                ...CommentFields␊
            }␊
          } `,
          name: 'deletedComment',
        },
      ],
    }

## Test plugin engine gqlfragments

> Snapshot 1

    {
      fragments: [],
      mutations: [
        {
          implementation: `␊
          ␊
          mutation createNote($input: NoteInput!) {␊
            createNote(input: $input) {␊
                ...NoteFields␊
            }␊
          }␊
          ␊
          ␊
          fragment NoteFields on Note {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'createNote',
        },
        {
          implementation: `␊
          ␊
          mutation updateNote($input: NoteInput!) {␊
            updateNote(input: $input) {␊
                ...NoteFields␊
            }␊
          }␊
          ␊
          ␊
          fragment NoteFields on Note {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'updateNote',
        },
        {
          implementation: `␊
          ␊
          mutation deleteNote($input: NoteInput!) {␊
            deleteNote(input: $input) {␊
                ...NoteFields␊
            }␊
          }␊
          ␊
          ␊
          fragment NoteFields on Note {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'deleteNote',
        },
        {
          implementation: `␊
          ␊
          mutation createComment($input: CommentInput!) {␊
            createComment(input: $input) {␊
                ...CommentFields␊
            }␊
          }␊
          ␊
          ␊
          fragment CommentFields on Comment {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'createComment',
        },
        {
          implementation: `␊
          ␊
          mutation updateComment($input: CommentInput!) {␊
            updateComment(input: $input) {␊
                ...CommentFields␊
            }␊
          }␊
          ␊
          ␊
          fragment CommentFields on Comment {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'updateComment',
        },
        {
          implementation: `␊
          ␊
          mutation deleteComment($input: CommentInput!) {␊
            deleteComment(input: $input) {␊
                ...CommentFields␊
            }␊
          }␊
          ␊
          ␊
          fragment CommentFields on Comment {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'deleteComment',
        },
      ],
      queries: [
        {
          implementation: `␊
          ␊
          query findNotes($fields: NoteFields!) {␊
              findNotes(fields: $fields) {␊
                ...NoteExpandedFields␊
              }␊
            }␊
          ␊
          fragment NoteExpandedField on Note {␊
             id␊
             title␊
             description␊
             comment {␊
                id␊
                title␊
                description␊
             }␊
          } ␊
          ␊
          `,
          name: 'findNotes',
        },
        {
          implementation: `␊
          ␊
          query findAllNotes {␊
              findAllNotes {␊
                ...NoteExpandedFields␊
              }␊
            }␊
          ␊
          fragment NoteExpandedField on Note {␊
             id␊
             title␊
             description␊
             comment {␊
                id␊
                title␊
                description␊
             }␊
          } ␊
          ␊
          `,
          name: 'findAllNotes',
        },
        {
          implementation: `␊
          ␊
          query findComments($fields: CommentFields!) {␊
              findComments(fields: $fields) {␊
                ...CommentExpandedFields␊
              }␊
            }␊
          ␊
          fragment CommentExpandedField on Comment {␊
             id␊
             title␊
             description␊
             noteComment {␊
                id␊
                title␊
                description␊
             }␊
          } ␊
          ␊
          `,
          name: 'findComments',
        },
        {
          implementation: `␊
          ␊
          query findAllComments {␊
              findAllComments {␊
                ...CommentExpandedFields␊
              }␊
            }␊
          ␊
          fragment CommentExpandedField on Comment {␊
             id␊
             title␊
             description␊
             noteComment {␊
                id␊
                title␊
                description␊
             }␊
          } ␊
          ␊
          `,
          name: 'findAllComments',
        },
      ],
      subscriptions: [
        {
          implementation: `␊
          ␊
          subscription newNote {␊
            newNote {␊
                ...NoteFields␊
            }␊
          } ␊
          ␊
          fragment NoteFields on Note {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'newNote',
        },
        {
          implementation: `␊
          ␊
          subscription updatedNote {␊
            updatedNote {␊
                ...NoteFields␊
            }␊
          } ␊
          ␊
          fragment NoteFields on Note {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'updatedNote',
        },
        {
          implementation: `␊
          ␊
          subscription deletedNote {␊
            deletedNote {␊
                ...NoteFields␊
            }␊
          } ␊
          ␊
          fragment NoteFields on Note {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'deletedNote',
        },
        {
          implementation: `␊
          ␊
          subscription newComment {␊
            newComment {␊
                ...CommentFields␊
            }␊
          } ␊
          ␊
          fragment CommentFields on Comment {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'newComment',
        },
        {
          implementation: `␊
          ␊
          subscription updatedComment {␊
            updatedComment {␊
                ...CommentFields␊
            }␊
          } ␊
          ␊
          fragment CommentFields on Comment {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'updatedComment',
        },
        {
          implementation: `␊
          ␊
          subscription deletedComment {␊
            deletedComment {␊
                ...CommentFields␊
            }␊
          } ␊
          ␊
          fragment CommentFields on Comment {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          ␊
          `,
          name: 'deletedComment',
        },
      ],
    }

## Test plugin engine ts

> Snapshot 1

    {
      fragments: [
        {
          implementation: `import gql from "graphql-tag"␊
          ␊
          export const NoteFragment = gql`␊
            fragment NoteFields on Note {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          `␊
          `,
          name: 'Note',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          ␊
          export const NoteExpandedFragment = gql`␊
            fragment NoteExpandedField on Note {␊
             id␊
             title␊
             description␊
             comment {␊
                id␊
                title␊
                description␊
             }␊
          } ␊
          `␊
          `,
          name: 'NoteExpanded',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          ␊
          export const CommentFragment = gql`␊
            fragment CommentFields on Comment {␊
             id␊
             title␊
             description␊
          ␊
          } ␊
          `␊
          `,
          name: 'Comment',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          ␊
          export const CommentExpandedFragment = gql`␊
            fragment CommentExpandedField on Comment {␊
             id␊
             title␊
             description␊
             noteComment {␊
                id␊
                title␊
                description␊
             }␊
          } ␊
          `␊
          `,
          name: 'CommentExpanded',
        },
      ],
      mutations: [
        {
          implementation: `import gql from "graphql-tag"␊
          import { NoteFragment } from "../fragments/Note"␊
          ␊
          export const createNote = gql`␊
            mutation createNote($input: NoteInput!) {␊
            createNote(input: $input) {␊
                ...NoteFields␊
            }␊
          }␊
          ␊
          ␊
            ${NoteFragment}␊
          `␊
          `,
          name: 'createNote',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { NoteFragment } from "../fragments/Note"␊
          ␊
          export const updateNote = gql`␊
            mutation updateNote($input: NoteInput!) {␊
            updateNote(input: $input) {␊
                ...NoteFields␊
            }␊
          }␊
          ␊
          ␊
            ${NoteFragment}␊
          `␊
          `,
          name: 'updateNote',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { NoteFragment } from "../fragments/Note"␊
          ␊
          export const deleteNote = gql`␊
            mutation deleteNote($input: NoteInput!) {␊
            deleteNote(input: $input) {␊
                ...NoteFields␊
            }␊
          }␊
          ␊
          ␊
            ${NoteFragment}␊
          `␊
          `,
          name: 'deleteNote',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { CommentFragment } from "../fragments/Comment"␊
          ␊
          export const createComment = gql`␊
            mutation createComment($input: CommentInput!) {␊
            createComment(input: $input) {␊
                ...CommentFields␊
            }␊
          }␊
          ␊
          ␊
            ${CommentFragment}␊
          `␊
          `,
          name: 'createComment',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { CommentFragment } from "../fragments/Comment"␊
          ␊
          export const updateComment = gql`␊
            mutation updateComment($input: CommentInput!) {␊
            updateComment(input: $input) {␊
                ...CommentFields␊
            }␊
          }␊
          ␊
          ␊
            ${CommentFragment}␊
          `␊
          `,
          name: 'updateComment',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { CommentFragment } from "../fragments/Comment"␊
          ␊
          export const deleteComment = gql`␊
            mutation deleteComment($input: CommentInput!) {␊
            deleteComment(input: $input) {␊
                ...CommentFields␊
            }␊
          }␊
          ␊
          ␊
            ${CommentFragment}␊
          `␊
          `,
          name: 'deleteComment',
        },
      ],
      queries: [
        {
          implementation: `import gql from "graphql-tag"␊
          import { NoteExpandedFragment } from "../fragments/NoteExpanded"␊
          ␊
          export const findNotes = gql`␊
            query findNotes($fields: NoteFields!) {␊
              findNotes(fields: $fields) {␊
                ...NoteExpandedFields␊
              }␊
            }␊
          ␊
            ${NoteExpandedFragment}␊
          `␊
          `,
          name: 'findNotes',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { NoteExpandedFragment } from "../fragments/NoteExpanded"␊
          ␊
          export const findAllNotes = gql`␊
            query findAllNotes {␊
              findAllNotes {␊
                ...NoteExpandedFields␊
              }␊
            }␊
          ␊
            ${NoteExpandedFragment}␊
          `␊
          `,
          name: 'findAllNotes',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { CommentExpandedFragment } from "../fragments/CommentExpanded"␊
          ␊
          export const findComments = gql`␊
            query findComments($fields: CommentFields!) {␊
              findComments(fields: $fields) {␊
                ...CommentExpandedFields␊
              }␊
            }␊
          ␊
            ${CommentExpandedFragment}␊
          `␊
          `,
          name: 'findComments',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { CommentExpandedFragment } from "../fragments/CommentExpanded"␊
          ␊
          export const findAllComments = gql`␊
            query findAllComments {␊
              findAllComments {␊
                ...CommentExpandedFields␊
              }␊
            }␊
          ␊
            ${CommentExpandedFragment}␊
          `␊
          `,
          name: 'findAllComments',
        },
      ],
      subscriptions: [
        {
          implementation: `import gql from "graphql-tag"␊
          import { NoteFragment } from "../fragments/Note"␊
          ␊
          export const newNote = gql`␊
            subscription newNote {␊
            newNote {␊
                ...NoteFields␊
            }␊
          } ␊
          ␊
            ${NoteFragment}␊
          `␊
          `,
          name: 'newNote',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { NoteFragment } from "../fragments/Note"␊
          ␊
          export const updatedNote = gql`␊
            subscription updatedNote {␊
            updatedNote {␊
                ...NoteFields␊
            }␊
          } ␊
          ␊
            ${NoteFragment}␊
          `␊
          `,
          name: 'updatedNote',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { NoteFragment } from "../fragments/Note"␊
          ␊
          export const deletedNote = gql`␊
            subscription deletedNote {␊
            deletedNote {␊
                ...NoteFields␊
            }␊
          } ␊
          ␊
            ${NoteFragment}␊
          `␊
          `,
          name: 'deletedNote',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { CommentFragment } from "../fragments/Comment"␊
          ␊
          export const newComment = gql`␊
            subscription newComment {␊
            newComment {␊
                ...CommentFields␊
            }␊
          } ␊
          ␊
            ${CommentFragment}␊
          `␊
          `,
          name: 'newComment',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { CommentFragment } from "../fragments/Comment"␊
          ␊
          export const updatedComment = gql`␊
            subscription updatedComment {␊
            updatedComment {␊
                ...CommentFields␊
            }␊
          } ␊
          ␊
            ${CommentFragment}␊
          `␊
          `,
          name: 'updatedComment',
        },
        {
          implementation: `import gql from "graphql-tag"␊
          import { CommentFragment } from "../fragments/Comment"␊
          ␊
          export const deletedComment = gql`␊
            subscription deletedComment {␊
            deletedComment {␊
                ...CommentFields␊
            }␊
          } ␊
          ␊
            ${CommentFragment}␊
          `␊
          `,
          name: 'deletedComment',
        },
      ],
    }
